LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::text::textfield::Type Constant Group Reference

Text field types. More...

## Variables
const long | UNSPECIFIED = -1
const long | DATE = 0
const long | URL = 1
const long | PAGE = 2
const long | PAGES = 3
const long | TIME = 4
const long | TABLE = 5
const long | EXTENDED_TIME = 6
const long | EXTENDED_FILE = 7
const long | AUTHOR = 8
const long | MEASURE = 9
const long | DOCINFO_TITLE = 10
const long | PRESENTATION_HEADER = 11
const long | PRESENTATION_FOOTER = 12
const long | PRESENTATION_DATE_TIME = 13
const long | PAGE_NAME = 14
const long | DOCINFO_CUSTOM = 15

## Detailed Description

Text field types.

Right now this only contains the types that are supported by the edit engine, but it should eventually contain all field types that are used across all engines.

Since
  LibreOffice 3.6

## Variable Documentation

## ◆ AUTHOR

const long AUTHOR = 8

## ◆ DATE

const long DATE = 0

## ◆ DOCINFO_CUSTOM

const long DOCINFO_CUSTOM = 15

## ◆ DOCINFO_TITLE

const long DOCINFO_TITLE = 10

## ◆ EXTENDED_FILE

const long EXTENDED_FILE = 7

## ◆ EXTENDED_TIME

const long EXTENDED_TIME = 6

## ◆ MEASURE

const long MEASURE = 9

## ◆ PAGE

const long PAGE = 2

## ◆ PAGE_NAME

const long PAGE_NAME = 14

## ◆ PAGES

const long PAGES = 3

## ◆ PRESENTATION_DATE_TIME

const long PRESENTATION_DATE_TIME = 13

## ◆ PRESENTATION_FOOTER

const long PRESENTATION_FOOTER = 12

## ◆ PRESENTATION_HEADER

const long PRESENTATION_HEADER = 11

## ◆ TABLE

const long TABLE = 5

## ◆ TIME

const long TIME = 4

## ◆ UNSPECIFIED

const long UNSPECIFIED = -1

## ◆ URL

const long URL = 1